/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Ophthalmic Visual Acuity Type
 */
public enum EnumCV_OphthalmicVisualAcuityType {

	AUTOREFRACTION_VISUAL_ACUITY_111685("111685"),
	HABITUAL_VISUAL_ACUITY_111686("111686"),
	PRESCRIPTION_VISUAL_ACUITY_111687("111687"),
	POTENTIAL_ACUITY_METER_VISUAL_ACUITY_F_04ECE("F-04ECE"),
	BEST_CORRECTED_VISUAL_ACUITY_F_04D54("F-04D54"),
	UNCORRECTED_VISUAL_ACUITY_F_04D53("F-04D53"),
	PINHOLE_VISUAL_ACUITY_F_04D55("F-04D55"),
	BRIGHTNESS_ACUITY_TESTING_VISUAL_ACUITY_F_04ECF("F-04ECF");

	private String value;

	EnumCV_OphthalmicVisualAcuityType(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
